#include <stdio.h>

int binsearch(int a[], int n, int x);

int main()
{
   int a[100];
   int i,n;
   int x;

   scanf("%d", &n);

   for(i = 0; i < n; i++)
     scanf("%d", &a[i]);

   scanf("%d", &x);

   printf("%d\n", binsearch(a, n, x));

   return 0;
}
